Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Class SurfaceInterpolationImpl

    java.lang.Object
      org.deegree.model.spatialschema.SurfaceInterpolationImpl

All Implemented Interfaces:
  Serializable, SurfaceInterpolation

    public class SurfaceInterpolationImpl

extends Object
implements SurfaceInterpolation, Serializable

default implementation of the SurfaceInterpolation interface from the package deegree.model.spatialschema. ------------------------------------------------------------

Version:
  11.6.2001
Author:
  Andreas Poth
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.deegree.model.spatialschema.SurfaceInterpolation
`BICUBIC, BILINEAR, BIQUADRATIC, CONIC, ELLIPTICAL, NONE, PLANAR, POLYNOMIALSPLINE, RATIONALSPLINE, SPHERICAL, TIN, TRIANGULATEDSOLINE`

Constructor Summary
`SurfaceInterpolationImpl()` Creates a new SurfaceInterpolationImpl object.
`SurfaceInterpolationImpl(int surfaceInterpolation)` Creates a new SurfaceInterpolationImpl object.

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object other)`
`int` | `getValue()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurfaceInterpolationImpl

    public SurfaceInterpolationImpl()

  Creates a new SurfaceInterpolationImpl object.

### SurfaceInterpolationImpl

    public SurfaceInterpolationImpl(int surfaceInterpolation)
                             throws GeometryException

  Creates a new SurfaceInterpolationImpl object.

  Parameters:
    `surfaceInterpolation` -
  Throws:
    `GeometryException`

Method Detail

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `SurfaceInterpolation`
  Returns:
    one of the defined values of the interpolation.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org